FreeMat

- Main Page
- Related Pages

vtkTrivialProducer

Section: Visualization Toolkit Filtering Classes

# Usage

vtkTrivialProducer allows stand-alone data objects to be connected as inputs in a pipeline. All data objects that are connected to a pipeline involving vtkAlgorithm must have a producer. This trivial producer allows data objects that are hand-constructed in a program without another vtk producer to be connected.

To create an instance of class vtkTrivialProducer, simply invoke its constructor as follows

      obj = vtkTrivialProducer

# Methods

The class vtkTrivialProducer has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTrivialProducer class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTrivialProducer = obj.NewInstance ()`
- `vtkTrivialProducer = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutput (vtkDataObject output)` - Set the data object that is "produced" by this producer. It is never really modified.
- `long = obj.GetMTime ()` - The modified time of this producer is the newer of this object or the assigned output.